org.apache.maven.scm.plugin

## Class AbstractScmMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.scm.plugin.AbstractScmMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  AddMojo, BranchMojo, ChangeLogMojo, CheckinMojo, CheckLocalModificationsMojo, CheckoutMojo, DiffMojo, EditMojo, ExportMojo, ListMojo, StatusMojo, TagMojo, UnEditMojo, UpdateMojo, UpdateSubprojectsMojo, ValidateMojo

    public abstract class AbstractScmMojo
    extends org.apache.maven.plugin.AbstractMojo

Version:
  $Id: AbstractScmMojo.java 731240 2009-01-04 12:33:01Z bentmann $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractScmMojo()`

### Method Summary

Methods
`void` `checkResult(ScmResult result)`
`void` `execute()`
`String` `getConnectionUrl()`
`String` `getExcludes()`
`ScmFileSet` `getFileSet()`
`String` `getIncludes()`
`ScmManager` `getScmManager()`
`ScmRepository` `getScmRepository()`
`ScmVersion` `getScmVersion(String versionType, String version)`
`File` `getWorkingDirectory()`
`protected void` `setConnectionType(String connectionType)`
`void` `setConnectionUrl(String connectionUrl)`
`void` `setExcludes(String excludes)`
`void` `setIncludes(String includes)`
`void` `setWorkingDirectory(File workingDirectory)`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractScmMojo

    public AbstractScmMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### setConnectionType

    protected void setConnectionType(String connectionType)

#### getConnectionUrl

    public String getConnectionUrl()

#### setConnectionUrl

    public void setConnectionUrl(String connectionUrl)

#### getWorkingDirectory

    public File getWorkingDirectory()

#### setWorkingDirectory

    public void setWorkingDirectory(File workingDirectory)

#### getScmManager

    public ScmManager getScmManager()

#### getFileSet

    public ScmFileSet getFileSet()
                          throws IOException

Throws:
  `IOException`

#### getScmRepository

    public ScmRepository getScmRepository()
                                   throws ScmException

Throws:
  `ScmException`

#### checkResult

    public void checkResult(ScmResult result)
                     throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### getIncludes

    public String getIncludes()

#### setIncludes

    public void setIncludes(String includes)

#### getExcludes

    public String getExcludes()

#### setExcludes

    public void setExcludes(String excludes)

#### getScmVersion

    public ScmVersion getScmVersion(String versionType,
                           String version)
                             throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`